# Crate miniz_sys [−] [src]

## Structs

mz_stream |

## Enums

mz_internal_state |

## Constants

MZ_BLOCK |
MZ_BUF_ERROR |
MZ_DATA_ERROR |
MZ_DEFAULT_STRATEGY |
MZ_DEFAULT_WINDOW_BITS |
MZ_DEFLATED |
MZ_ERRNO |
MZ_FINISH |
MZ_FULL_FLUSH |
MZ_MEM_ERROR |
MZ_NEED_DICT |
MZ_NO_FLUSH |
MZ_OK |
MZ_PARAM_ERROR |
MZ_PARTIAL_FLUSH |
MZ_STREAM_END |
MZ_STREAM_ERROR |
MZ_SYNC_FLUSH |
MZ_VERSION_ERROR |

## Functions

mz_crc32 |
mz_deflate |
mz_deflateEnd |
mz_deflateInit2 |
mz_deflateReset |
mz_inflate |
mz_inflateEnd |
mz_inflateInit2 |

## Type Definitions

mz_alloc_func |
mz_free_func |

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)